# $Revision: 1.40 $, $Date: 2008/07/27 22:45:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	XWhois
Summary:	Net::XWhois - whois client Interface for Perl5
Summary(pl.UTF-8):	Net::XWhois - klient whois dla Perla 5
Name:		perl-Net-XWhois
Version:	0.90
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1c0394d6a4b5bd05d8686b0a0dc18999
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::XWhois class provides a generic client framework for doing
whois queries and parsing server response.

%description -l pl.UTF-8
Klasa Net::XWhois udostępnia podstawowy szkielet klienta wykonującego
zapytania whois i przetwarzającego odpowiedzi serwera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%{perl_vendorlib}/Net/XWhois.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-XWhois.spec,v $
Revision 1.40  2008/07/27 22:45:12  arekm
- release 3

Revision 1.39  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.37  2004/11/03 22:30:37  paladine
- formatting

Revision 1.36  2004/05/06 18:20:47  ankry
- fixed perl-devel BR

Revision 1.35  2004/04/27 00:28:04  ankry
- license fixes, cosmetics

Revision 1.34  2004/04/21 00:10:17  ankry
- ported to new bconds

Revision 1.33  2004/04/15 05:31:32  ankry
- cosmetics, unification

Revision 1.32  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:09:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 20:22:02  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/27 21:00:46  ankry
- removed obsolete patch, better summary/description

Revision 1.25  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:37:22  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/10/28 15:45:39  ankry
- version 0.90, added tests

Revision 1.22  2002/07/10 08:48:21  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:33:42  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:19:26  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:31:30  depesz
adapterized

Revision 1.16  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.14  2001/07/25 09:12:45  mis
- autoupdated to 0.82

Revision 1.13  2001/04/17 12:13:44  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/19 14:27:00  mis
- updated (by autoup) to 0.72

Revision 1.10  2001/01/19 06:36:57  kloczek
- do not include .packlist in %%files,
- spec adapterized.

Revision 1.9  2001/01/13 01:15:52  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:39  pius
- updated to 0.64

Revision 1.2  1999/11/05 23:57:53  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
